Managed Instance Operations - List By Managed Instance
获取对托管实例执行的作的列表。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/operations?api-version=2025-01-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
managed
|
path | True |
string |
托管实例的名称。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 此名称不区分大小写。 |
|
subscription
|
path | True |
string (uuid) |
目标订阅的 ID。 该值必须是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此作的 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
Azure 运营顺利完成。 |
|
| Other Status Codes |
意外的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow.
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
List the managed instance management operations
示例请求
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/managedInstances/sqlcrudtest-4645/operations?api-version=2025-01-01
示例响应
{
"value": [
{
"name": "11111111-1111-1111-1111-111111111111",
"type": "Microsoft.Sql/managedInstances/operations",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/managedInstances/sqlcrudtest-4645/operations/11111111-1111-1111-1111-111111111111",
"properties": {
"isCancellable": false,
"managedInstanceName": "sqlcrudtest-4645",
"operation": "UpsertManagedServer",
"operationFriendlyName": "UPDATE MANAGED SERVER",
"percentComplete": 100,
"startTime": "2019-12-06T11:08:44.49Z",
"state": "Cancelled"
}
},
{
"name": "22222222-2222-2222-2222-222222222222",
"type": "Microsoft.Sql/managedInstances/operations",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/managedInstances/sqlcrudtest-4645/operations/22222222-2222-2222-2222-222222222222",
"properties": {
"isCancellable": true,
"managedInstanceName": "sqlcrudtest-4645",
"operation": "UpsertManagedServer",
"operationFriendlyName": "UPDATE MANAGED SERVER",
"operationParameters": {
"currentParameters": {
"family": "Gen4",
"storageSizeInGB": 32,
"tier": "GeneralPurpose",
"vCores": 8
},
"requestedParameters": {
"family": "Gen4",
"storageSizeInGB": 128,
"tier": "BusinessCritical",
"vCores": 8
}
},
"operationSteps": {
"currentStep": 3,
"stepsList": [
{
"name": "Request validation",
"order": 1,
"status": "Completed",
"stepEndTime": "2019-12-06T11:08:45.57Z",
"stepStartTime": "2019-12-06T11:08:44.49Z",
"timeElapsed": "0"
},
{
"name": "Virtual Cluster resize/creation",
"order": 2,
"status": "Completed",
"stepEndTime": "2019-12-06T11:22:47.35Z",
"stepStartTime": "2019-12-06T11:08:46.15Z",
"timeElapsed": "14"
},
{
"name": "New SQL Instance Startup",
"order": 3,
"status": "InProgress",
"stepEndTime": "2019-12-06T11:24:50.51Z",
"stepStartTime": "2019-12-06T11:22:47.42Z",
"timeElapsed": "2"
}
],
"totalSteps": "3"
},
"percentComplete": 50,
"startTime": "2019-12-06T11:08:44.49Z",
"state": "InProgress"
}
},
{
"name": "33333333-3333-3333-3333-333333333333",
"type": "Microsoft.Sql/managedInstances/operations",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/managedInstances/sqlcrudtest-4645/operations/33333333-3333-3333-3333-333333333333",
"properties": {
"errorCode": 45157,
"errorDescription": "Server 'sqlcrudtest-4645' is busy with another operation. Please try your operation later.",
"errorSeverity": 16,
"isCancellable": false,
"isUserError": true,
"managedInstanceName": "sqlcrudtest-4645",
"operation": "UpsertManagedServer",
"operationFriendlyName": "UPDATE MANAGED SERVER",
"percentComplete": 100,
"startTime": "2019-12-06T14:48:34.583Z",
"state": "Failed"
}
},
{
"name": "44444444-4444-4444-4444-444444444444",
"type": "Microsoft.Sql/managedInstances/operations",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/managedInstances/sqlcrudtest-4645/operations/44444444-4444-4444-4444-444444444444",
"properties": {
"managedInstanceName": "sqlcrudtest-4645",
"operation": "MakeAllManagedDatabasesAccessible",
"operationFriendlyName": "MAKE ALL MANAGED DBS ACCESSIBLE",
"operationSteps": {
"currentStep": 1,
"stepsList": [
{
"name": "Request validation",
"order": 1,
"status": "Failed",
"stepEndTime": "2019-12-04T09:01:00.57Z",
"stepStartTime": "2019-12-04T09:00:30.15Z",
"timeElapsed": "0"
}
],
"totalSteps": "1"
},
"percentComplete": 100,
"startTime": "2019-12-04T09:00:08.1Z",
"state": "Failed"
}
}
]
}
定义
| 名称 | 说明 |
|---|---|
|
created |
创建资源的标识的类型。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
Managed |
托管实例作。 |
|
Managed |
ManagedInstanceOperation 列表操作的响应。 |
|
Managed |
托管实例作的参数。 |
|
Managed |
托管实例作的步骤。 |
|
Management |
作状态。 |
|
system |
与创建和上次修改资源相关的元数据。 |
|
Upsert |
|
|
Upsert |
|
|
Upsert |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
附加信息。 |
| type |
string |
附加信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
ManagedInstanceOperation
托管实例作。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string (arm-id) |
资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}” |
| name |
string |
资源的名称 |
| properties.description |
string |
操作说明。 |
| properties.errorCode |
integer (int32) |
作错误代码。 |
| properties.errorDescription |
string |
作错误说明。 |
| properties.errorSeverity |
integer (int32) |
作错误严重性。 |
| properties.estimatedCompletionTime |
string (date-time) |
作的估计完成时间。 |
| properties.isCancellable |
boolean |
是否可以取消作。 |
| properties.isUserError |
boolean |
错误是否为用户错误。 |
| properties.managedInstanceName |
string |
正在执行操作的托管实例的名称。 |
| properties.operation |
string |
操作的名称。 |
| properties.operationFriendlyName |
string |
作的友好名称。 |
| properties.operationParameters |
操作参数。 |
|
| properties.operationSteps |
操作步骤。 |
|
| properties.percentComplete |
integer (int32) |
已完成作的百分比。 |
| properties.startTime |
string (date-time) |
作开始时间。 |
| properties.state |
作状态。 |
|
| systemData |
Azure 资源管理器 包含 createdBy 和 modifiedBy 信息的元数据。 |
|
| type |
string |
资源类型。 例如,“Microsoft。计算/虚拟机“或”Microsoft“。存储/存储账户” |
ManagedInstanceOperationListResult
ManagedInstanceOperation 列表操作的响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| nextLink |
string (uri) |
指向下一页项的链接 |
| value |
本页的 ManagedInstanceOperation 项目 |
ManagedInstanceOperationParametersPair
托管实例作的参数。
| 名称 | 类型 | 说明 |
|---|---|---|
| currentParameters |
当前参数。 |
|
| requestedParameters |
请求的参数。 |
ManagedInstanceOperationSteps
托管实例作的步骤。
| 名称 | 类型 | 说明 |
|---|---|---|
| currentStep |
integer (int32) |
当前作步骤的数目。 |
| stepsList |
作步骤列表。 |
|
| totalSteps |
string |
作步骤总数。 |
ManagementOperationState
作状态。
| 值 | 说明 |
|---|---|
| Pending |
待处理 |
| InProgress |
进行中 |
| Succeeded |
成功 |
| Failed |
Failed |
| CancelInProgress |
取消进行中 |
| Cancelled |
已取消 |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
资源上次修改的时间戳 (UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |
UpsertManagedServerOperationParameters
| 名称 | 类型 | 说明 |
|---|---|---|
| family |
string |
|
| storageSizeInGB |
integer (int32) |
|
| tier |
string |
|
| vCores |
integer (int32) |
UpsertManagedServerOperationStepWithEstimatesAndDuration
| 名称 | 类型 | 说明 |
|---|---|---|
| name |
string |
|
| order |
integer (int32) |
|
| status |
Upsert |
|
| stepEndTime |
string (date-time) |
|
| stepStartTime |
string (date-time) |
|
| timeElapsed |
string |
UpsertManagedServerOperationStepWithEstimatesAndDurationStatus
| 值 | 说明 |
|---|---|
| NotStarted |
未开始 |
| InProgress |
进行中 |
| SlowedDown |
慢落 |
| Completed |
已完成 |
| Failed |
Failed |
| Canceled |
已取消 |